From 8d65da5b5cb6499e08506530b1abb17de9f01c33 Mon Sep 17 00:00:00 2001
From: sergio <sergio>
Date: Tue, 20 Dec 2016 09:45:52 -0800
Subject: [PATCH] ENH: Adding parallel running for compressibleDyInterFoam
 tutorial

---
 .../laminar/sphereDrop/Allrun.parallel        | 32 +++++++++++++++++++
 .../sphereDrop/system/decomposeParDict        | 29 +++++++++++++++++
 2 files changed, 61 insertions(+)
 create mode 100755 tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun.parallel
 create mode 100644 tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/system/decomposeParDict

diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun.parallel b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun.parallel
new file mode 100755
index 00000000000..805818aaf72
--- /dev/null
+++ b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun.parallel
@@ -0,0 +1,32 @@
+#!/bin/sh
+cd ${0%/*} || exit 1    # run from this directory
+
+# Source tutorial run functions
+. $WM_PROJECT_DIR/bin/tools/RunFunctions
+
+runApplication blockMesh
+runApplication topoSet
+
+# remove empty patches
+runApplication createPatch -overwrite
+
+# split mesh into 2 regions at the AMI coupled patch
+runApplication mergeOrSplitBaffles -overwrite
+
+echo "Copying 0.org to 0"
+cp -r 0.org 0
+
+runApplication setFields
+
+runApplication decomposePar
+
+(cd  processor0/constant/polyMesh/ && ln -s ../../../include/meshModifiers .)
+(cd  processor1/constant/polyMesh/ && ln -s ../../../include/meshModifiers .)
+
+runParallel $(getApplication)
+
+runApplication reconstructParMesh
+
+runApplication reconstructPar
+
+# ----------------------------------------------------------------- end-of-file
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/system/decomposeParDict b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/system/decomposeParDict
new file mode 100644
index 00000000000..c79d985331a
--- /dev/null
+++ b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/system/decomposeParDict
@@ -0,0 +1,29 @@
+/*--------------------------------*- C++ -*----------------------------------*\
+| =========                 |                                                 |
+| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
+|  \\    /   O peration     | Version:  plus                                  |
+|   \\  /    A nd           | Web:      www.OpenFOAM.com                      |
+|    \\/     M anipulation  |                                                 |
+\*---------------------------------------------------------------------------*/
+FoamFile
+{
+    version     2.0;
+    format      ascii;
+    class       dictionary;
+    location    "system";
+    object      decomposeParDict;
+}
+// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
+
+numberOfSubdomains  2;
+
+method          simple;
+
+simpleCoeffs
+{
+    n           (2 1 1);
+    delta       0.001;
+}
+
+
+// ************************************************************************* //
-- 
GitLab